
#if !defined(MF)
#define MF


//double ShoulderLeft(double x, double t1, double t2);	// 1, then down, then 0
//double ShoulderRight(double x, double t1, double t2);	// 0, then up, then 1
//double Triangle(double x, double t1, double t2);
//double Triangle(double x, double t1, double t2, double center);


// Actual MF DOM calculation
double ShoulderLeft(double x, double t1, double t2)
{
	if (t1==t2) return 0.0;
	if (x<=t1)	return 0.0;
	if (x>=t2)	return 1.0;
	return ((x-t1)/(t2-t1));
}

double ShoulderRight(double x, double t1, double t2)
{
	if (t1==t2) return 0.0;
	if (x<=t1)	return 1.0;
	if (x>=t2)	return 0.0;
	return ((x-t2)/(t1-t2));
}

double Triangle(double x, double t1, double t2)
{
	if (x<=t1)	return 0.0;
	if (x>=t2)	return 0.0;
	if (x<=(t1+t2)/2)	return ShoulderLeft(x,t1,(t1+t2)/2);
	else				return ShoulderRight(x,(t1+t2)/2,t2);
}

double Triangle(double x, double t1, double t2, double center)
{
	if (x<=t1)	return 0.0;
	if (x>=t2)	return 0.0;
	if (x<=center)	return ShoulderLeft(x,t1,center);
	else			return ShoulderRight(x,center,t2);
}
#endif