// FuzzyDlg.h : header file
//

#pragma once
#include "FLC_DLL.h"
#include "afxwin.h"
#include "Fuzzy.h"
//#include "FS_ShapeDisplay.h"

// CFuzzyDlg dialog
class CFuzzyDlg : public CDialog
{
// Construction
public:
	CFuzzyDlg(CWnd* pParent = NULL);	// standard constructor
	~CFuzzyDlg();

// Dialog Data
	enum { IDD = IDD_FUZZY_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

public:

	CFLC		*FLC;
	CString		m_strFLCname;
	CString		*m_strRuleName;
	CString		*m_strFuzzySetName;
	CString		*m_strVariableName;
	double		Input1;
	double		Input2;
	double		Output;

	int			m_nFLC_Shape;
	int			m_nDefaultFuzzySetModel;
	int			m_nDefaultRuleSetModel;

	CListBox	lstPredicate;
	CListBox	lstOutputStrength;
	CListBox	lstEvalPredicates;
	CEdit		FL_output;
	CListBox	m_Info;
	CComboBox	cbbFS;
	CComboBox	cbbRS;
	CButton		button_33or55;
	CButton		btnVerbose;
	
	afx_msg void sFLC_Calculate();
	afx_msg void sFLC_Close();
	afx_msg void ModifyFS();
	afx_msg void ModifyVS();
	afx_msg void ModifyRS();
	afx_msg void ClearInfoList();
	afx_msg void LoadDefaultFS();
	afx_msg void LoadDefaultVS();
	afx_msg void LoadDefaultRS();
	afx_msg void DeleteFS();
	afx_msg void DeleteVS();
	afx_msg void DeleteRS();
	afx_msg void OnDestroy();
	afx_msg void ClearFLCDisplayList();
	afx_msg void Click_3x3_FS_model();
	afx_msg void Click_5x5_FS_model();
	afx_msg void Select_FSmodel();
	afx_msg void Select_RSmodel();

	double		FuzzyController(double*);
	void		AddInfoLine(CString);
	void		ResetFLC();
	afx_msg void OnBnClickedShape();
	CButton m_chkInvVar1;
	CButton m_chkInvVar2;
	afx_msg void OnBnClickedWeb();
	CButton m_chkInvOut;
	CButton m_chkInvRules;
};