#pragma once

#include "GridCtrl_src/GridCtrl.h"
#include "ntgraph.h"
#include "afxwin.h"
#include "FLC_DLL.h"

//#include "def.h"

// CFuzzySetDesign dialog

class CFuzzySetDesign : public CDialog
{
	DECLARE_DYNAMIC(CFuzzySetDesign)

public:
	CFuzzySetDesign(CWnd* pParent = NULL);   // standard constructor
	virtual ~CFuzzySetDesign();

// Dialog Data
	enum { IDD = IDD_FUZZYSETS };

	int		m_nFixCols;
	int		m_nFixRows;
	int		m_nCols;
	int		m_nRows;
	BOOL	m_bEditable;
	BOOL	m_bHorzLines;
	BOOL	m_bListMode;
	BOOL	m_bVertLines;
	BOOL	m_bSelectable;
	BOOL	m_bAllowColumnResize;
	BOOL	m_bAllowRowResize;
	BOOL	m_bHeaderSort;
	BOOL	m_bItalics;
	BOOL	m_btitleTips;
	BOOL	m_bSingleSelMode;
    BOOL    m_bSingleColSelMode;
	BOOL	m_bTrackFocus;
	BOOL	m_bFrameFocus;
	BOOL	m_bVirtualMode;
	BOOL	m_bCallback;
    BOOL    m_bVertical;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	virtual void PostNcDestroy();

public:
	CGridCtrl			m_Grid;				// to display points
	CNtgraphctrl1		m_Graph;			// to draw fuzzy states
	CComboBox			m_FStatesNames;		// names

	int			m_nNumFS;
	int			m_nSelectedDefaultFSModel;
	int			m_nSelectedFS;
	int			*m_nFSwording;
	int			*m_nFSmodel;
	BOOL		*m_bFSmodelmod;
	CFuzzySet	*FS;			// fuzzy sets passed to this dialog
	CComboBox	lstFS;
	CListBox	lstNumStates;

	virtual BOOL OnInitDialog();

	DECLARE_EVENTSINK_MAP()
	
	void ClickNtgraphctrl1();

	afx_msg void ChangeFStatesLabels();
	afx_msg void DrawMF();
	afx_msg void SelectFuzzySet();
	afx_msg void SaveChanges();

	afx_msg void CloseDialog();
	CComboBox lstModel;
	afx_msg void ChangeFuzzyModel();
	afx_msg void OnChangeNumstates();
	CEdit edtFSModel;
};
